package com.op.mes.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.op.common.core.web.domain.TreeEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.op.common.core.annotation.Excel;
import com.op.common.core.web.domain.BaseEntity;

/**
 * 生产工单对象 pro_order_workorder
 *
 * @author Open Platform
 * @date 2023-07-18
 */
public class ProOrderWorkorder extends TreeEntity {
    private static final long serialVersionUID = 1L;

    /** 工单ID */
    private String workorderId;

    /** 工单编码 */
    @Excel(name = "工单编码")
    private String workorderCode;

    /** 工单名称 */
    @Excel(name = "工单名称")
    private String workorderName;

    /** 订单id */
    @Excel(name = "订单id")
    private String orderId;

    /** 订单编码 */
    @Excel(name = "订单编码")
    private String orderCode;

    /** 产品ID */
    @Excel(name = "产品ID")
    private String productId;

    /** 产品编号 */
    @Excel(name = "产品编号")
    private String productCode;

    /** 产品名称 */
    @Excel(name = "产品名称")
    private String productName;

    /** 规格型号 */
    @Excel(name = "规格型号")
    private String productSpc;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 已生产数量 */
    @Excel(name = "已生产数量")
    private Long quantityProduced;

    /** 已拆分数量 */
    @Excel(name = "已拆分数量")
    private Long quantitySplit;

    /** 工艺编码 */
    @Excel(name = "工艺编码")
    private String routeCode;

    /** 产线编码 */
    @Excel(name = "产线编码")
    private String prodLineCode;

    /** 工单生产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "工单生产日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date productDate;

    /** 班次 */
    @Excel(name = "班次")
    private String shiftId;

    /** 父工单 */
    @Excel(name = "父工单")
    private String parentOrder;

    /** 所有父节点ID */
    @Excel(name = "所有父节点ID")
    private String ancestors;

    /** 单据状态 */
    @Excel(name = "单据状态")
    private String status;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String attr1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String attr2;

    /** 预留字段3 */
    @Excel(name = "预留字段3")
    private String attr3;

    /** 预留字段4 */
    @Excel(name = "预留字段4")
    private String attr4;

    /** 产品类型 */
    @Excel(name = "产品类型")
    private String prodType;

    /** 是否为底层节点 1是 0不是 */
    @Excel(name = "是否为底层节点")
    private Integer isEnd;

    /** 班次名称 */
    private String shiftDesc;

    public String getShiftDesc() {
        return shiftDesc;
    }

    public void setShiftDesc(String shiftDesc) {
        this.shiftDesc = shiftDesc;
    }

    public Integer getIsEnd() {
        return isEnd;
    }

    public void setIsEnd(Integer isEnd) {
        this.isEnd = isEnd;
    }

    /** 批次号 */
    private List<StringBuilder> batchCodeList;

    public List<StringBuilder> getBatchCodeList() {
        return batchCodeList;
    }

    public void setBatchCodeList(List<StringBuilder> batchCodeList) {
        this.batchCodeList = batchCodeList;
    }

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String factoryCode;

    public void setWorkorderId(String workorderId) {
        this.workorderId = workorderId;
    }

    public String getWorkorderId() {
        return workorderId;
    }
    public void setWorkorderCode(String workorderCode) {
        this.workorderCode = workorderCode;
    }

    public String getWorkorderCode() {
        return workorderCode;
    }
    public void setWorkorderName(String workorderName) {
        this.workorderName = workorderName;
    }

    public String getWorkorderName() {
        return workorderName;
    }
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getOrderId() {
        return orderId;
    }
    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public String getOrderCode() {
        return orderCode;
    }
    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getProductId() {
        return productId;
    }
    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public String getProductCode() {
        return productCode;
    }
    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductName() {
        return productName;
    }
    public void setProductSpc(String productSpc) {
        this.productSpc = productSpc;
    }

    public String getProductSpc() {
        return productSpc;
    }
    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getUnit() {
        return unit;
    }
    public void setQuantityProduced(Long quantityProduced) {
        this.quantityProduced = quantityProduced;
    }

    public Long getQuantityProduced() {
        return quantityProduced;
    }
    public void setQuantitySplit(Long quantitySplit) {
        this.quantitySplit = quantitySplit;
    }

    public Long getQuantitySplit() {
        return quantitySplit;
    }
    public void setRouteCode(String routeCode) {
        this.routeCode = routeCode;
    }

    public String getRouteCode() {
        return routeCode;
    }
    public void setProdLineCode(String prodLineCode) {
        this.prodLineCode = prodLineCode;
    }

    public String getProdLineCode() {
        return prodLineCode;
    }
    public void setProductDate(Date productDate) {
        this.productDate = productDate;
    }

    public Date getProductDate() {
        return productDate;
    }
    public void setShiftId(String shiftId) {
        this.shiftId = shiftId;
    }

    public String getShiftId() {
        return shiftId;
    }
    public void setParentOrder(String parentOrder) {
        this.parentOrder = parentOrder;
    }

    public String getParentOrder() {
        return parentOrder;
    }
    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }

    public String getAncestors() {
        return ancestors;
    }
    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }
    public void setAttr1(String attr1) {
        this.attr1 = attr1;
    }

    public String getAttr1() {
        return attr1;
    }
    public void setAttr2(String attr2) {
        this.attr2 = attr2;
    }

    public String getAttr2() {
        return attr2;
    }
    public void setAttr3(String attr3) {
        this.attr3 = attr3;
    }

    public String getAttr3() {
        return attr3;
    }
    public void setAttr4(String attr4) {
        this.attr4 = attr4;
    }

    public String getAttr4() {
        return attr4;
    }
    public void setProdType(String prodType) {
        this.prodType = prodType;
    }

    public String getProdType() {
        return prodType;
    }
    public void setFactoryCode(String factoryCode) {
        this.factoryCode = factoryCode;
    }

    public String getFactoryCode() {
        return factoryCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("workorderId", getWorkorderId())
                .append("workorderCode", getWorkorderCode())
                .append("workorderName", getWorkorderName())
                .append("orderId", getOrderId())
                .append("orderCode", getOrderCode())
                .append("productId", getProductId())
                .append("productCode", getProductCode())
                .append("productName", getProductName())
                .append("productSpc", getProductSpc())
                .append("unit", getUnit())
                .append("quantityProduced", getQuantityProduced())
                .append("quantitySplit", getQuantitySplit())
                .append("routeCode", getRouteCode())
                .append("prodLineCode", getProdLineCode())
                .append("productDate", getProductDate())
                .append("shiftId", getShiftId())
                .append("parentOrder", getParentOrder())
                .append("ancestors", getAncestors())
                .append("status", getStatus())
                .append("remark", getRemark())
                .append("attr1", getAttr1())
                .append("attr2", getAttr2())
                .append("attr3", getAttr3())
                .append("attr4", getAttr4())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("prodType", getProdType())
                .append("factoryCode", getFactoryCode())
                .append("batchCodeList",getBatchCodeList())
                .append("isEnd",getIsEnd())
                .append("shiftDesc",getShiftDesc())
                .toString();
    }
}